Application Perf Mgmt (BAC / BSM) Support and News Forum
Showing results for 
Search instead for 
Do you mean 

BPM 9.22 and Java 7

Valued Contributor Valued Contributor

BPM 9.22 and Java 7

According to the BPM v 9.22 patch details Java 7 should be supported for the BPM however I am not seeing this to be true.  I am still getting the failed to start error when attempting to execute a Java bases BSM script.  Is anyone using BPM 9.22 and Java 7 sucessfully?


Error details


04/09/2013 09:57:13 Notify: Found jdk version: 1.7.0. [MsgId: MMSG-22986] 04/09/2013 09:57:13 Warning: Warning: Classpath entry not found: c:\program files\java\jre1.6.0_17\lib\ext\; Warning: Failed to find entry in Classpath. [MsgId: MWAR-22986] 04/09/2013 09:57:13 Notify: classpath=C:\ProgramData\HP\BPM\workspace\agent1\task_invoker\_uid_1_\apia_reboot\res;c:\program files (x86)\hp\bpm\classes\srv;c:\program files (x86)\hp\bpm\classes;.;c:\Program Files\Java\jre1.6.0_17\lib\ext\;;;;c:\program files (x86)\hp\bpm\lib\xstream-1.3.jar;c:\program files (x86)\hp\bpm\lib\xpp3-1.1.4c.jar [MsgId: MMSG-22986] 04/09/2013 09:57:14 Notify: Path=C:\Program Files (x86)\Java\jdk1.7.0_25\bin;C:\Program Files (x86)\Java\jdk1.7.0_25\jre\bin\;C:\Program Files (x86)\Java\jdk1.7.0_25\jre\bin\client\;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0\;C:\Program Files (x86)\Common Files\Roxio Shared\OEM\12.0\DLLShared\;C:\Program Files (x86)\Roxio\OEM\AudioCore\;C:\strawberry\c\bin;C:\strawberry\perl\bin;C:\Program Files (x86)\HP\Virtual User Generator\strawberry-perl\perl\bin [MsgId: MMSG-22986] 04/09/2013 09:57:14 Notify: VM Params: . [MsgId: MMSG-22986] 04/09/2013 09:57:14 Error: Java VM internal error:Error Loading javai.dll. . [MsgId: MERR-22995] 04/09/2013 09:57:14 Warning: Extension java_int.dll reports error -1 on call to function ExtPerProcessInitialize [MsgId: MWAR-10485] 04/09/2013 09:57:14 Error: Thread Context: Call to service of the driver failed, reason - thread context wasn't initialized on this thread. [MsgId: MERR-10176]

HPE Expert

Re: BPM 9.22 and Java 7



Make sure your classpath is actually set to use java1.7, as the error message shows it still tries to use 1.6.0_17 :



ask_invoker\_uid_1_\apia_reboot\res;c:\program files (x86)\hp\bpm\classes\srv;c:\program files (x86)\hp\bpm\classes;.;c:\Program Files\Java\jre1.6.0_17


Best regards,